Quick start guide
Learn how to verify information about natural persons or organisations using the Data Verification API.
This quick start guide shows you how to:
- Connect to the Data Verification API.
- Send requests to the API endpoints using Postman.
Connect to the Data Verification API
Before you can start making requests to this API, you need to learn how to connect to it. To do this, follow steps 1-3 in the Connect to Signicat APIs Quick start guide.
Ensure that you set the following permissions for your API client:
- Data Verification for natural persons to connect to data sources about natural persons.
- Data Verification for organisations to connect to data sources about organisations.
Get started with Postman
This guide provides steps for using Postman to make API calls.
We have created a Postman collection that lets you try the Data Verification API. Click the button below to get the collection for Postman.
For more detailed instructions on how to use the collection, refer to the instructions below.
Import the collection to Postman
- Download the Postman collection.
- Open Postman.
- Click File > Import and browse to the collection file to import it.
- Click the name of the collection and edit the following variables:
- Click Save.

Postman collection variables
Get information
You can now retrieve information about a natural person or an organisation. The API reference contains information about each of the available endpoints. For example, to query basic information about an organisation, use the Basic endpoint like this:
- Go to the Basic endpoint in the Postman collection.
- Fill in the path parameters. For example, if you want to retrieve information about Signicat, write
NOin the country row and989584022in the organizationNumber row. - Optional. Fill in the query parameters to extend functionality. For example, you can set
rawJsontotrueif you want to see the raw JSON output of the response. - Click Send.
For example, the request might look like this:
GET https://api.signicat.com/info/lookup/countries/NO/organizations/989584022
You will receive a response with the data you requested. For example:
{
"name": "SIGNICAT AS",
"names": [
{
"name": "SIGNICAT AS",
"type": "registered",
"start": null,
"end": null
}
],
"organizationNumber": "989584022",
"country": {
"alpha2": "NO",
"alpha3": "NOR",
"numeric": "578"
},
"businessAddress": null,
"addresses": null,
"organizationType": {
"name": "Aksjeselskap",
"code": "AS",
"url": "https://data.brreg.no/enhetsregisteret/api/organisasjonsformer"
},
"legalStatus": "active",
"employees": 132,
"industries": [
{
"code": "58.29",
"description": "Other software publishing",
"section": "J",
"level": 4
}
],
"contact": null,
"metadata": {
"sources": ["no-brreg"],
"urls": ["https://data.brreg.no/enhetsregisteret/api/enheter/989584022"],
"lastChanged": null,
"rawJson": null
}
}
Note that some data is omitted for brevity. You can find a more elaborate example in the API reference.
Data sources
If you want to know more about the data sources supported by the Data Verification API, you can get a list by using the Sources endpoints.
To view all the sources available for the organisation endpoints, use the Sources endpoint in the Organizations folder of the Postman collection.
GET https://api.signicat.com/info/lookup/sources/organization
To view all the sources available for natural persons, use the Sources endpoint in the Persons folder.
GET https://api.signicat.com/info/lookup/sources/person
The response will contain an updated list of the data sources used in the Data Verification API.
Visit the Coverage overview page to view all the data sources supported by the Data Verification API.
To learn more about each data source, go to the Data sources page.